Terp Network Docs
APIsRpcInfo
GET
/validators

Get Validators. Validators are sorted first by voting power (descending), then by address (ascending).

Query Parameters

height?integer

height to return. If no height is provided, it will fetch validator set which corresponds to the latest block.

Default0
page?integer

Page number (1-based)

Default1
per_page?integer

Number of entries per page (max: 100)

Default30

Response Body

application/json

application/json

curl -X GET "https://rpc.terp.network/validators"
{
  "jsonrpc": "2.0",
  "id": 0,
  "result": {
    "block_height": "55",
    "validators": [
      {
        "address": "000001E443FD237E4B616E2FA69DF4EE3D49A94F",
        "pub_key": {
          "type": "tendermint/PubKeyEd25519",
          "value": "9tK9IT+FPdf2qm+5c2qaxi10sWP+3erWTKgftn2PaQM="
        },
        "voting_power": "239727",
        "proposer_priority": "-11896414"
      }
    ],
    "count": "1",
    "total": "25"
  }
}
{
  "id": 0,
  "jsonrpc": "2.0",
  "error": "Description of failure"
}